//
//  PickerGradationView.swift
//  ColorPicker
//
//  Created by Akira Hayashi on 2022/09/02.
//

import SwiftUI

struct PickerGradationView: View {
    var startColor: Color
    var endColor: Color
    
    var body: some View {
        GeometryReader() { geometry in
            LinearGradient(gradient: Gradient(colors: [startColor, endColor]), startPoint: UnitPoint(x: 0, y: 0), endPoint: UnitPoint(x: 1, y: 0))
        }
    }
}

struct PickerGradationView_Previews: PreviewProvider {
    static var previews: some View {
        PickerGradationView(startColor: .black, endColor: .white)
    }
}
